Index: branch/belin/Emb_App.tws
===================================================================
--- branch/belin/Emb_App.tws	(revision 208)
+++ branch/belin/Emb_App.tws	(revision 209)
@@ -7,15 +7,31 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
+"E:\tp_info_2018_belin\bsp\can.c" 
+"E:\tp_info_2018_belin\bsp\clavier.c" 
+"E:\tp_info_2018_belin\bsp\dma0.c" 
+"E:\tp_info_2018_belin\bsp\mli.c" 
 "E:\tp_info_2018_belin\bsp\periph.c" 
+"E:\tp_info_2018_belin\bsp\radiocommande.c" 
+"E:\tp_info_2018_belin\bsp\uart0.c" 
 "E:\tp_info_2018_belin\Emb_App\conf_noyau.cfg" 
 "E:\tp_info_2018_belin\Emb_App\crt0mr.a30" 
+"E:\tp_info_2018_belin\Emb_App\Debug\kernel_id.h" 
+"E:\tp_info_2018_belin\Emb_App\Debug\kernel_sysint.h" 
 "E:\tp_info_2018_belin\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\tp_info_2018_belin\Emb_App\conf_noyau.cfg" 0 474 160 38 0 0 
-"E:\tp_info_2018_belin\Emb_App\crt0mr.a30" -8 -30 1596 539 1 2 
-"E:\tp_info_2018_belin\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 1 
-"E:\tp_info_2018_belin\bsp\periph.c" 75 75 1430 351 0 3 
+"E:\tp_info_2018_belin\Emb_App\Debug\kernel_id.h" 50 50 790 335 0 1 
+"E:\tp_info_2018_belin\Emb_App\Debug\kernel_sysint.h" 75 75 790 335 0 2 
+"E:\tp_info_2018_belin\Emb_App\conf_noyau.cfg" 50 50 765 416 0 10 
+"E:\tp_info_2018_belin\Emb_App\crt0mr.a30" 100 100 790 335 0 3 
+"E:\tp_info_2018_belin\Emb_App\programme_principal_etud.c" -8 -30 956 629 1 0 
+"E:\tp_info_2018_belin\bsp\can.c" 100 100 765 416 0 4 
+"E:\tp_info_2018_belin\bsp\clavier.c" 125 125 765 416 0 5 
+"E:\tp_info_2018_belin\bsp\dma0.c" 150 150 765 416 0 6 
+"E:\tp_info_2018_belin\bsp\mli.c" 175 175 765 416 0 7 
+"E:\tp_info_2018_belin\bsp\periph.c" 25 25 765 416 0 9 
+"E:\tp_info_2018_belin\bsp\radiocommande.c" 0 0 765 416 0 8 
+"E:\tp_info_2018_belin\bsp\uart0.c" 75 75 765 416 0 11 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/belin/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/belin/Emb_App/SessionM32C_E8a_system.hsf	(revision 208)
+++ branch/belin/Emb_App/SessionM32C_E8a_system.hsf	(revision 209)
@@ -83,7 +83,7 @@
 "{4B022541-3E95-11D7-909C-00201898052D}ElfDwarf2Objects" "1" 
 "{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_ELFDWARF2_ARRAY_EXPAND_LIMIT" "-1" 
 "{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_STATUS_OF_EBD_CMD" "0" 
-"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "0" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0EnableRRam" "0" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType" "2" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column0" "4" 
@@ -141,20 +141,20 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0014" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF057E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000AEC" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000824" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -169,12 +169,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000B20" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -207,7 +207,9 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "Distance, 2, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Global," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "1" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "correction, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "2" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -814,15 +816,15 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.07" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.07" 259 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.11" 365 0 0 350 200 2065 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
-"{WK_00000001_IO}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.21" 365 0 0 350 200 18 0 "32817|32826|32819|32820|32821|32829" "0.0" 
+"{WK_00000001_IO}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.21" 259 0 0 350 200 18 0 "32817|32826|32819|32820|32821|32829" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.41" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.01" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.34" 259 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.02" 259 0 0 350 200 2065 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.37" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.44" 259 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -847,10 +849,18 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info_2018_belin\Emb_App\programme_principal_etud.c" 
 "E:\tp_info_2018_belin\Emb_App\crt0mr.a30" 
-"E:\tp_info_2018_belin\Emb_App\programme_principal_etud.c" 
 "E:\tp_info_2018_belin\bsp\periph.c" 
 "E:\tp_info_2018_belin\Emb_App\conf_noyau.cfg" 
+"E:\tp_info_2018_belin\Emb_App\Debug\kernel_id.h" 
+"E:\tp_info_2018_belin\bsp\uart0.c" 
+"E:\tp_info_2018_belin\bsp\dma0.c" 
+"E:\tp_info_2018_belin\bsp\radiocommande.c" 
+"E:\tp_info_2018_belin\bsp\mli.c" 
+"E:\tp_info_2018_belin\bsp\clavier.c" 
+"E:\tp_info_2018_belin\bsp\can.c" 
+"E:\tp_info_2018_belin\Emb_App\Debug\kernel_sysint.h" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -897,5 +907,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 85010816 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 101788032 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/belin/Emb_App/programme_principal_etud.c
===================================================================
--- branch/belin/Emb_App/programme_principal_etud.c	(revision 208)
+++ branch/belin/Emb_App/programme_principal_etud.c	(revision 209)
@@ -122,87 +122,104 @@
 
 
 unsigned short Distance;
+unsigned short pos_tourelle;
 
+
+	
+
 void asservissementTourelle(){
-	
-	CanFrame reponse, comm, requete;
+
+
+	CanFrame req;
+	UINT flag;
+	CanFrame comm;
 	unsigned short correction, retour, consigne;
 	
+	consigne=450; 
 	
-	consigne=450;  //consigne (on veut 45 degrees)
+	while(1){
+	//Lecture de R	
+	req.data.id = 'R';
+	req.data.rtr = 1;
+	periph[ADDR('R')].ev=0x01;
+	snd_dtq(CanTx, req.msg);
+	wai_flg(ev_periph,0x01,TWF_ANDW, &flag);
 	
-	requete.data.id = 'R';
+	retour=periph[ADDR('R')].val; 
 	
-	requete.data.rtr = 1;
-	
-	snd_dtq(CanTx, requete.msg);
-	
-	rcv_dtq(CanRx, &reponse.msg);
-	retour=reponse.data.val; //Mesure retour
-	if(consigne!=retour){
-	
-	correction=1*(consigne-retour);
-
-
-	
+	//Asservissement
+	correction=5*(consigne-retour);
 	comm.data.id='T';
 	comm.data.rtr = 0;
 	comm.data.val = correction;
+	
 	snd_dtq(CanTx,comm.msg);
+	dly_tsk(100);
 	}
-	else{
-			comm.data.id='T';
-	comm.data.rtr = 0;
-	comm.data.val = 0;
-	snd_dtq(CanTx,comm.msg);
-	}
-		
+
 }
 
-void commMoteur(){
+void commMoteur(unsigned short vitessemoteur){
 	CanFrame commMoteur;
-	
+
 	commMoteur.data.id='V';
 	commMoteur.data.rtr = 0;
-	commMoteur.data.val = 30;
+	commMoteur.data.val = vitessemoteur;
 	snd_dtq(CanTx,commMoteur.msg);
 }
 
-unsigned short CalculDistance(){
+void CalculDistance(){
+	CanFrame req;
+	UINT flag;
+
+	while(1){
+
 	
+	req.data.id = 'U';
+	req.data.rtr = 1;
+	periph[ADDR('R')].ev=0x01;
+	snd_dtq(CanTx, req.msg);
+	wai_flg(ev_periph,0x01,TWF_ANDW, &flag);
 
-	CanFrame request, response;
-	
-	request.data.id = 85;
-	
-	request.data.rtr = 1;
-	
-	snd_dtq(CanTx, request.msg);
-	
-	rcv_dtq(CanRx, &response.msg);
-	
-	Distance=response.data.val;
-	
-	return Distance;
+	Distance=periph[ADDR('U')].val; 
+	dly_tsk(100);
+	}
 }
 
+void position(){
+	unsigned short correction;
+	CanFrame comm;
+	while(1){
+	correction=1*(720-Distance);
+	comm.data.id='D';
+	comm.data.rtr = 0;
+	comm.data.val = correction;
+	snd_dtq(CanTx,comm.msg);
+	dly_tsk(100);
+	LED_R=1;
+	}
+}
 		
 	
 void main()
-{
-
+{
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("Matthias");
-
-    can_init();
+	periph_nom("Matthias");
+	can_init();
     clavier_init(1);
 	capture_init();
 
-	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
+
 
+	sta_tsk(ID_periph_rx);
+	commMoteur(5);
+	sta_tsk(ID_tourelle);
+	sta_tsk(ID_CalculDistance);
+	sta_tsk(ID_position);
+
+	
     while(1)
     {
 		LED_J=1;
@@ -209,10 +226,6 @@
 		dly_tsk(100);
 		LED_J=0;
 		dly_tsk(100);
-		commMoteur();
-		asservissementTourelle();
-		dly_tsk(10);
-		CalculDistance();
 	}
 }
 
Index: branch/belin/Emb_App/conf_noyau.cfg
===================================================================
--- branch/belin/Emb_App/conf_noyau.cfg	(revision 208)
+++ branch/belin/Emb_App/conf_noyau.cfg	(revision 209)
@@ -2,7 +2,7 @@
 //
 //    kernel.cfg : building file for MR308 Ver.4.00
 //
-//    Generated by M3T-MR308 GUI Configurator at 2013/01/08 15:28:33
+//    Generated by M3T-MR308 GUI Configurator at 2018/12/11 16:36:34
 //
 ////////////////////////////////////////////////////////////////////////////////
 
@@ -20,7 +20,7 @@
 
 // max definition
 maxdefine{
-	max_task	= 3;
+	max_task	= 6;
 	max_flag	= 3;
 	max_dtq	= 2;
 	max_cyh	= 1;
@@ -61,6 +61,33 @@
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
+task[]{
+	entry_address	= asservissementTourelle();
+	name	= ID_tourelle;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 4;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= CalculDistance();
+	name	= ID_CalculDistance;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 5;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= position();
+	name	= ID_position;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 6;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 flag[]{
 	name	= ev_bus_fin_tr;
Index: branch/belin/Emb_App/conf_noyau.hcf
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/belin/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/belin/Emb_App/EmbM32C87App.tps	(revision 208)
+++ branch/belin/Emb_App/EmbM32C87App.tps	(revision 209)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 